searchNodes=[{"ref":"Zip.html","title":"Zip","type":"protocol","doc":""},{"ref":"Zip.html#apply/3","title":"Zip.apply/3","type":"function","doc":"Calls the given fun with each element in the two collections pairwise, meaning, fun is first called with the first element in a as the first argument to fun and the first element in b as the second argument to fun. Then it is called with the second element in each list as the first and second arguments to fun respectively, and so on. Below is an example of what the function returns if we were to implement it for lists: Examples iex&gt; Zip.apply([5], [2], fn a, b -&gt; a + b end) [7] iex&gt; Zip.apply([5], [2], fn a, b -&gt; a * b end) [10]"},{"ref":"Zip.html#apply/4","title":"Zip.apply/4","type":"function","doc":"Calls the given mod / fun with each element in the two collections pairwise, meaning, the mod / fun is first called with the first element in a as the first argument to the function described by the mod / fun, and the first element in b as the second argument to the function described by mod / fun. Then it is called with the second element in each list as the first and second arguments respectively and so on down the collection. Below is an example of what the function returns if we were to implement it for lists: Examples iex&gt; Zip.apply([[1, 2], [3, 4]], [7, 7], Enum, :intersperse) [[1, 7, 2], [3, 7, 4]] iex&gt; Zip.apply([5], [2], Kernel, :+) [7]"},{"ref":"Zip.html#apply/5","title":"Zip.apply/5","type":"function","doc":"Calls the given mod / fun / args with each element in the two collections pairwise, meaning, the mod / fun / args is first called with the first element in a as the first argument to the function described by the mod / fun / args, and the first element in b as the second argument to the function described by the mod / fun / args, and with the args added as the rest of the args for the mod / fun. Then it is called with the second element in each list as the first and second arguments respectively and so on down the collection. Below is an example of what the function returns if we were to implement it for lists: Examples iex&gt; Zip.apply([[1, 2, 3, 4], [1, 2, 3, 4]], [2, 3], Enum, :map_every, [fn x -&gt; x * 10 end]) [[10, 2, 30, 4], [10, 2, 3, 40]] iex&gt; Zip.apply([[&quot;X&quot;,&quot;X&quot;,&quot;X&quot;,&quot;X&quot;], [&quot;O&quot;, &quot;O&quot;, &quot;O&quot;, &quot;O&quot;]], [1, 2], Enum, :map_every, [fn _ -&gt; &quot;A&quot; end]) [[&quot;A&quot;, &quot;A&quot;, &quot;A&quot;, &quot;A&quot;], [&quot;A&quot;, &quot;O&quot;, &quot;A&quot;, &quot;O&quot;]]"},{"ref":"Zip.html#t:t/0","title":"Zip.t/0","type":"type","doc":""}]